diff --git a/test/issue1091-bogus-rebuild.sh b/test/issue1091-bogus-rebuild.sh
new file mode 100755
index 0000000..689f572
--- /dev/null
+++ b/test/issue1091-bogus-rebuild.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+cd ${CURR_DIR}/1-exec-simple
+rm -f dub.selections.json
+${DUB} build --compiler=${DC} 2>&1 | grep -e "building configuration" -c || exit 1
+${DUB} build --compiler=${DC} 2>&1 | grep -e "building configuration" -c && exit 1 || exit 0